Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Interface ProxyMap

All Superinterfaces:
  Map, Proxy

All Known Implementing Classes:
  ProxyHashMap, ProxyTreeMap, ProxyProperties, ProxyHashtable

public interface ProxyMap
extends Proxy, Map

Interface implemented by all proxies on `Map` types.

Inner classes inherited from class java.util.Map
`Map.Entry`

Method Summary
`Comparator` | `getComparator()` Return the comparator used in this map, or null if it is unordered or uses natural ordering.
`Map` | `getCopy(Map orig)` This method should return a copy of the given map; the copy should be of the same class as the superclass of this collection.
`ProxyMap` | `newInstance(Class keyType, Class valueType, Map contents, Comparator compare)` This method should return a new proxy of the same concrete type as the implementing class.

Methods inherited from interface com.solarmetric.kodo.util.Proxy
`getOwner, getOwnerFieldName, setOwner`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### newInstance

    public ProxyMap newInstance(Class keyType,
                                Class valueType,
                                Map contents,
                                Comparator compare)

  This method should return a new proxy of the same concrete type as the implementing class. Used by the `ProxyManager` factories: one template instance of each type is created for the purpose of producing new instances via this method. Overcomes the performance penalties of reflection.

### getCopy

    public Map getCopy(Map orig)

  This method should return a copy of the given map; the copy should be of the same class as the superclass of this collection.

### getComparator

    public Comparator getComparator()

  Return the comparator used in this map, or null if it is unordered or uses natural ordering.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.